<script setup>
import ProductForm from "@/components/ProductForm.vue";
import {ref} from "vue";
import ProductCard from "@/components/ProductCard.vue";

const products = ref([{
  title: 'Produkt A',
  description: 'fdsfds',
  price: '12',
  imageUrl: 'http://via.placeholder.com/640x360'
}])

function deleteProduct() {
  alert("Deleted")
}

function addProduct(newProduct) {
  products.value.push(newProduct)
}

function updateProduct(index, updatedProduct) {
  products.value.splice(index, 1, updatedProduct)
}
</script>

<template>
  <ProductForm @save="addProduct"/>

  <table>
    <thead>
    <tr>
      <th>#</th>
      <th>Name</th>
      <th>Actions</th>
    </tr>
    </thead>
    <tbody>
    <tr v-for="(p, i) in products">
      <td>{{ i + 1 }}</td>
      <td>
        <ProductCard :product="p" :amount="10" showActions @delete="deleteProduct">
          Du hast das Produkt 10 mal bestellt
        </ProductCard>
      </td>
      <td>
        <ProductForm :product="p" @save="product => updateProduct(i, product)"/>
      </td>
    </tr>
    <tr v-if="!products.length">
      <td colspan="2">Keine Produkte vorhanden</td>
    </tr>
    </tbody>
  </table>
</template>
